Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 380899 - kde-base/kdepasswd: Trying to change full name in KDE System Settings results in error or crash
Summary: kde-base/kdepasswd: Trying to change full name in KDE System Settings results...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: http://bugs.kde.org/show_bug.cgi?id=1...
Whiteboard:
Keywords:
Depends on:
Blocks: kde-4.14.3-stable
  Show dependency tree
 
Reported: 2011-08-27 23:54 UTC by Erik Quaeghebeur
Modified: 2014-07-24 18:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Quaeghebeur 2011-08-27 23:54:21 UTC
In the account details module of KDE System Settings, one can set a user image, change ones password, full name, org,...

When trying to change the Name field, one is prompted with a password dialog. After entering the password, an error message appears, which essentially says "chfn: Permission denied". This seems to be caused by the /etc/login.defs param CHFN_RESTRICT not being set to "frwh" but to "rwh" by default (see link to kubuntu bug report). Modifying this results in the error message not appearing any more; however, then systemsettings just locks up and starts consuming 100% cpu (luckily I have a multi-core system...).

This problem must have appeared in the last year, because I installed a similar environment last november/december and seem to have managed to set the Name field without any problems there back then. Now, if I want to change it, the same error appears.

Reproducible: Always
Comment 1 Maciej Mrozowski gentoo-dev 2011-10-02 20:07:19 UTC
Paste your emerge --info

If it crashes, you should be able to provide crash backtrace.
See http://www.gentoo.org/proj/en/qa/backtraces.xml
Comment 2 Erik Quaeghebeur 2011-10-03 15:09:44 UTC
Portage 2.1.10.11 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.3, glibc-2.12.2-r0, 3.0.3-gentoo x86_64)
=================================================================
System uname: Linux-3.0.3-gentoo-x86_64-Intel-R-_Core-TM-_i7-2620M_CPU_@_2.70GHz-with-gentoo-2.0.3
Timestamp of tree: Mon, 03 Oct 2011 10:45:01 +0000
app-shells/bash:          4.1_p9
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1, 3.1.3-r1
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.36.1 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo sunrise strohel x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--misspell-suggestions=n"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ ftp://ftp.halifax.rwth-aachen.de/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/"
LANG="en_US.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="nl en_US en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude ChangeLog --delete-excluded"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/strohel /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acpi alsa amd64 avahi avx bash-completion berkdb bluetooth branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dhcpcd dri dts dvd dvdr emboss encode exif fam ffmpeg fftw firefox flac fortran gdbm gdu gif gmp gnutls gpm iconv inotify ipv6 jpeg kde kipi lcms ldap libnotify mad mmap mmx mmx2 mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses networkmanager nls nptl nptlonly nsplugin nss ntp ogg opengl openmp pam pango pcre pdf perl phonon plasma png policykit ppds pppd pulseaudio python qt3support qt4 readline resolvconf sdl semantic-desktop session spell sse sse2 sse3 sse4 sse4a sse5 ssl ssse3 startup-notification svg sysfs tcpd threads tiff truetype udev unicode usb vaapi vorbis wifi x264 xcb xcomposite xinerama xml xorg xscreensaver xulrunner xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="nl en_US en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 3 Erik Quaeghebeur 2011-10-03 15:17:52 UTC
(In reply to comment #1)
> If it crashes, you should be able to provide crash backtrace.

I will try to make time for this, perhaps first through drkonqi.
In the mean time, the message I get when executing from the command line:

systemsettings(1666)/kdesu (kdelibs) KDESu::PtyProcess::exec: [ /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/kdesu/process.cpp : 293 ]  Running "chfn"

I do not get any error message any more (stable kde 4.6.5). So after entering my password, system settings just hangs (using 100% cpu).
Comment 4 Erik Quaeghebeur 2011-10-03 15:21:55 UTC
Upstream bug report: http://bugs.kde.org/show_bug.cgi?id=156396
Comment 5 Denis M. (Phr33d0m) 2013-06-04 01:27:00 UTC
Okay, confirming this still happening on 4.10.3 and I doubt there are plans to fix it any time soon.

I found a workaround for this issue though.

First of all, I was surprised that the name appearing in the System Settings wasn't matching the one I had set with chfn.

Anyways, the workaround is as follows:
1. Edit /etc/login.defs and
1.1. Add 'f' to CHFN_RESTRICT if you didn't have it already, so now you should have: CHFN_RESTRICT           frwh
1.2. Uncomment CHFN_AUTH (remove #).
2. Logout.
3. Login.
4. Fixed. Now you should be able to change your name from the System Settings.
Comment 6 Denis M. (Phr33d0m) 2013-06-04 01:37:17 UTC
Okay, forget my previous comment. I got confused with the workaround. It seems that if the name contains a comma ',' it will change without issues. If it doesn't contain a comma it will crash.
Comment 7 Johannes Huber gentoo-dev 2014-07-24 18:23:28 UTC
Thanks all. This is fixed in cvs now. Please sync in some hours to get the changes.

+
+  24 Jul 2014; Johannes Huber <johu@gentoo.org>
+  +files/kdepasswd-4.13.3-use-accountsservice.patch,
+  +kdepasswd-4.13.3-r1.ebuild, -kdepasswd-4.13.3.ebuild:
+  Revision bump adds backported Plasma 5 upstream patch by Michael Palimaka
+  <kensington@gentoo.org>, which uses sys-apps/accountsservice at runtime, fixes
+  bug #380899.
+

http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=11724d86beaecb3f40ca8d7346f8f135632c96f4